openSUSE Security Update : libressl (openSUSE-2018-953)

Medium Nessus Plugin ID 112267

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for libressl to version 2.8.0 fixes the following issues :

Security issues fixed :

- CVE-2018-12434: Avoid a timing side-channel leak when generating DSA and ECDSA signatures. (boo#1097779)

- Reject excessively large primes in DH key generation.

- CVE-2018-8970: Fixed a bug in int_x509_param_set_hosts, calling strlen() if name length provided is 0 to match the OpenSSL behaviour. (boo#1086778)

- Fixed an out-of-bounds read and crash in DES-fcrypt (boo#1065363)

You can find a detailed list of changes [here](https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/libressl-2.8.0-rel notes.txt).

Solution

Update the affected libressl packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1065363

https://bugzilla.opensuse.org/show_bug.cgi?id=1086778

https://bugzilla.opensuse.org/show_bug.cgi?id=1097779

http://www.nessus.org/u?5af67e40

Plugin Details

Severity: Medium

ID: 112267

File Name: openSUSE-2018-953.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2018/09/04

Modified: 2018/09/04

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 5.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:N

CVSS v3.0

Base Score: 7.4

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:N

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libcrypto43, p-cpe:/a:novell:opensuse:libcrypto43-32bit, p-cpe:/a:novell:opensuse:libcrypto43-debuginfo, p-cpe:/a:novell:opensuse:libcrypto43-debuginfo-32bit, p-cpe:/a:novell:opensuse:libressl, p-cpe:/a:novell:opensuse:libressl-debuginfo, p-cpe:/a:novell:opensuse:libressl-debugsource, p-cpe:/a:novell:opensuse:libressl-devel, p-cpe:/a:novell:opensuse:libressl-devel-32bit, p-cpe:/a:novell:opensuse:libssl45, p-cpe:/a:novell:opensuse:libssl45-32bit, p-cpe:/a:novell:opensuse:libssl45-debuginfo, p-cpe:/a:novell:opensuse:libssl45-debuginfo-32bit, p-cpe:/a:novell:opensuse:libtls17, p-cpe:/a:novell:opensuse:libtls17-32bit, p-cpe:/a:novell:opensuse:libtls17-debuginfo, p-cpe:/a:novell:opensuse:libtls17-debuginfo-32bit, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2018/09/03

Reference Information

CVE: CVE-2018-12434, CVE-2018-8970